Subject: Re: [lisp] Flow label redux [Re: IPv6 UDP checksum issue]

From: [email-masked] (Noel Chiappa)
Date: Thu, 6 Aug 2009 13:11:10 -0400 (EDT)

> From: Margaret Wasserman <[email-masked]>

    > In addition ... this checksum would protect the LISP header, which
    > contains some one- bit fields and a nonce that would be sensitive to
    > corruption.

This is an issue I had identified a while back, and looked then to see if
undetected errors in the LISP user-data-packet header could cause any
problems, and as fas as I can see they can't. (I won't do the whole analysis
here - we should take it offline to the LISP list only; I'm still holding on
detailed analysis of the reachability vector in case it is replace by
versioning.)

	Noel